Subject: Ticket Assigned - Article Feedback - When will I receive my order?
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 15 Mar 2023 06:42:56 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will I receive my order? Feedback for:  When will I receive my order? I placed an order on 12th March and have not received it till today. All the items I chose were available for next day delivery. I'm flying out tomorrow morning and have to get my stuff today which I have paid thru credit card. Pls I request to urgently arrange the stuff so I can go and pick the stuff from Festival mall today. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5850722